/* form type01 */
.form_type01 input {
  width: 100%;
  padding-bottom: 10px;
  border-bottom: 1px solid var(--gs05);
  color: var(--gs08);
  margin: 15px 0 20px;
}

.form_type01 input::placeholder {
  color: var(--gs08);
}

.form_type01 label {
  display: block;
}

.form_type01 label input[type="checkbox"] {
  width: auto;
  margin: 0 5px 0 0;
  display: inline-block;
}

.form_type01 label {
  color: var(--gs08);
  cursor: pointer;
}

.form_type01 select {
  width: 100%;
  display: inline-block;
  padding: 10px 5px;
  border: 1px solid var(--gs05);
  color: var(--gs08);
  margin: 15px 0 20px;
}

.form_type01 textarea{
  width: 100%;
  border: 1px solid var(--gs05);
  resize: none;
  padding: 15px 10px;
  color: var(--gs08);
  margin: 15px 0 20px;
  height: 130px;
}


/* 자동 로그인 저장 */
.form_type01 input:checked + span {
  color: var(--gs12);
}

.form_type01 .btn_area {
  margin-top: 45px;
}

.form_type01 p {
  color: var(--gs06);
  font-size: var(--fontS13);
  padding-bottom: 20px;
}

.form_type01 div input {
  margin-bottom: 12px;
}

.form_type01 input:read-only {
  color: var(--gs09);
  background: url(img/icon/icon_readonly.png) no-repeat right top;
}



/* form_type02 */
.form_type02 div strong {
  display: block;
  margin: 10px 0;
  font-size: var(--fontS14);
  color: var(--gs09);
}

.form_type02 div button {
  margin-bottom: 20px;
}

.form_type02 input {
  width: 100%;
  padding-bottom: 10px;
  border-bottom: 1px solid var(--gs05);
  color: var(--gs08);
  margin: 15px 0 20px;
}

.form_type02 input::placeholder {
  color: var(--gs08);
}

.form_type02 .address {
  margin-bottom: 25px;
}

.form_type02 .address input {
  border: 1px solid var(--gs05);
  height: 44px;
  margin: 5px 0;
  padding: 0 10px;
  border-radius: 10px;
}

.form_type02 .address button {
  margin: 5px 0;
}

.form_type02 > div > div {
  display: flex;
  gap: 14px;
}

.form_type02 > div > div:has(label) {
  gap: 32px;
  margin: 15px 0 25px;
}

.form_type02 > div > div button {
  width: 32%;
}

.form_type02 div label {
  font-size: var(--fontS14);
  color: var(--gs09);
}

/* form_type02 radio 스타일 */
.form_type02 input[type="radio"] {
  display: none !important;
}

.form_type02 span:has(input[type="radio"]) {
  width: 15px;
  height: 15px;
  border-radius: 3px;
  border: 1px solid #d1d1d1;
  display: inline-block;
  position: relative;
  transition: background-color 0.2s ease;
  margin-right: 10px;
  vertical-align: middle;
}

.form_type02 span:has(input[type="radio"])::after {
  content: "";
  position: absolute;
  top: 0;
  left: 4px;
  width: 5px;
  height: 10px;
  border: solid #d1d1d1;
  border-width: 0 1px 1px 0;
  transform: rotate(45deg);
}

.form_type02 span:has(input[type="radio"]:checked) {
  border-color: var(--ps01);
  background-color: #343434;
}

.form_type02 span:has(input[type="radio"]:checked)::after {
  border-color: var(--gs01);
}


/* form_type01 checkbox 스타일 */
.form_type01 input[type="checkbox"] {
  display: none !important;
}

.form_type01 label:has(input[type="checkbox"]) {
  font-size: var(--fontS14);
}


.form_type01 label:has(input[type="checkbox"]:checked) {
  color: var(--gs12);
}

.form_type01 span:has(input[type="checkbox"]) {
  width: 15px;
  height: 15px;
  border-radius: 3px;
  border: 1px solid #d1d1d1;
  display: inline-block;
  position: relative;
  transition: background-color 0.2s ease;
  margin-right: 10px;
  vertical-align: middle;
}

.form_type01 span:has(input[type="checkbox"])::after {
  content: "";
  position: absolute;
  top: 0;
  left: 4px;
  width: 5px;
  height: 10px;
  border: solid #d1d1d1;
  border-width: 0 1px 1px 0;
  transform: rotate(45deg);
}

.form_type01 span:has(input[type="checkbox"]:checked) {
  border-color: var(--ps01);
  background-color: var(--ps01);
}

.form_type01 span:has(input[type="checkbox"]:checked)::after {
  border-color: var(--gs01);
}

.agree_area .all_agree {
  font-weight: 500;
  padding-bottom: 16px;
  border-bottom: 1px solid #eee;
  margin-bottom: 8px;
}

.agree_area > div {
  display: flex;
  justify-content: space-between;
}

.agree_area label {
  padding: 8px 0;
  line-height: var(--lineH15);
}

.agree_area > div > span {
  font-size: var(--fontS14);
  color: var(--gs06);
  text-decoration: underline;
}


/* 하단 버튼 여백 및 크기 */
.form_type01 .btn_row,
.form_type02 .btn_row {
  margin-top: 45px;
}

.form_type01 .btn_row button,
.form_type02 .btn_row button {
  width: 48%;
}